vn.py量化社区
By Traders, For Traders.
Member
加入于:
帖子: 5
声望: 0

新手,在ubuntu 18.04下尝试安装,装完所有dependency编译成功后,只加载ctp时可以运行run.py打开trader界面, CTPTest一开始不能够加载,显示无法找到module, 后来在gateway/ctptest_gateway.py里面把相对引用改成全称之后就可以了。
即从

from .vnctpmd import MdApi
from .vnctptd import TdApi

改成了

from vnpy.api.ctp.vnctpmd import MdApi
from vnpy.api.ctp.vnctptd import TdApi

后面准备做仿真测试了,有一点迷糊,ctp和ctptest的区别是用的api版本不同么?做期货公司的系统测试是应该用ctp test?如果这样的话,直接引用了ctp的库是不是会有问题?

谢谢

Administrator
avatar
加入于:
帖子: 4122
声望: 229

做穿透式测试要用CTPTEST,除此外实盘、仿真交易,都应该用CTP

Administrator
avatar
加入于:
帖子: 4122
声望: 229

另外两者不能同时加载,会有冲突,要用哪个加载哪个

Member
加入于:
帖子: 5
声望: 0

多谢解释,所以之前对ctptest部分的改动是没有问题的?准备明后天测试。

Member
avatar
加入于:
帖子: 8
声望: 0

用Python的交易员 wrote:

另外两者不能同时加载,会有冲突,要用哪个加载哪个
我用最新的版本,很奇怪,我帮朋友做期货公司的仿真环境的测试,如果单选CTP测试或者CTP,按照仿真的账号配置就连不上,一直提示错误,如果选上CTP和CTP测试,然后再选连接CTP测试,就可以连上
simsnow的环境单选就可以

Administrator
avatar
加入于:
帖子: 4122
声望: 229

flintstone wrote:

多谢解释,所以之前对ctptest部分的改动是没有问题的?准备明后天测试。

一般穿透式测试,建议用Windows,反正你测完了在Ubuntu上用又没人管

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3